Description

It would be usefull to add a QGIS Field edittype called "Serial" and implementing auto-incrementation for non-database formats :

    -  in the form, make the field visible but not editable

    -  for new object, get the next number

QGIS could store the current serial state in the project file and update it during the commit, and manage multiple inserts and errors on

insert

History

#1 - 2016-09-16 11:55 AM - gcarrillo -

The AutoFields plugin [1] helps you achieve almost all you mentioned, except making the field non-editable.

Watch this video of an automatic id field for Shapefiles (and any other editable vector layer in QGIS).

Please give it a try. If it works for you, we could close this issue.

--

[1] http://plugins.qgis.org/plugins/AutoFields/

[2] https://vimeo.com/178923847

#2 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-02-24 04:20 PM - Paolo Cavallini

- Description updated

Sounds good. IMHO this should be promoted to a core function, and in any case the plugin should be ported to QGIS 3 before closing this ticket.

#4 - 2018-02-24 05:05 PM - Giovanni Manghi

Paolo Cavallini wrote:

Sounds good. IMHO this should be promoted to a core function, and in any case the plugin should be ported to QGIS 3 before closing this ticket.

creating a gpkg in qgis adds an autoincrementing fid field.
